#!/bin/sh
echo 'name: abstract-deque
version: 0.1.5
id: abstract-deque-0.1.5-3731a8799fe31e736db14dddb0102d98

license: BSD3
copyright:
maintainer: rrnewton@gmail.com
stability:
homepage:
package-url:
synopsis: Abstract, parameterized interface to mutable Deques.
description: An abstract interface to highly-parameterizable queues/deques.
             .
             Background: There exists a feature space for queues that extends between:
             .
             * simple, single-ended, non-concurrent, bounded queues
             .
             * double-ended, threadsafe, growable queues
             .
             ... with important points inbetween (such as
             the queues used for work-stealing).
             .
             This package includes an interface for Deques that allows the
             programmer to use a single API for all of the above, while using the
             type-system to select an efficient implementation given the
             requirements (using type families).
             .
             This package also includes a simple reference implementation based
             on '\''IORef'\'' and "Data.Sequence".
category: Data
author: Ryan R. Newton
exposed: True
exposed-modules: Data.Concurrent.Deque.Class
                 Data.Concurrent.Deque.Tests Data.Concurrent.Deque.Reference
                 Data.Concurrent.Deque.Reference.DequeInstance
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/abstract-deque-0.1.5
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/abstract-deque-0.1.5
              /usr/local/lib
hs-libraries: HSabstract-deque-0.1.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: HUnit-1.2.4.2-5744e904039c3819ba04e12dd2e295dc
         IORefCAS-0.2-76459595dd43b3bc5a16ed9e8ab27e1e
         base-4.5.0.0-3459bca6d8e46666b517e8bb2e033728
         containers-0.4.2.1-cfc6420ecc2194c9ed977b06bdfd9e69
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/abstract-deque-0.1.5/html/abstract-deque.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/abstract-deque-0.1.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
